angular
    .module('chooseBrand.controllers', [])
    .controller('chooseBrandCtrl', function($scope, $ionicPlatform, $rootScope,$ionicLoading, $http,$state,$localstorage) {
    	$ionicPlatform.ready(function(){
    		try{ 
        		$scope.manufactureList = {};
                $scope.CountryName = $localstorage.get("countryName");
                
                $scope.Manufacturer = function(){
                    $ionicLoading.show();
                    var dataset = Manufacturerurl;;
                    $http({method: 'GET', url: dataset}).
                        success(function(data) {
                            try{
                                $ionicLoading.hide();
                                if(data.status=="success"){
                                    $scope.manufactureList = data.results;
                                }else{
                                }
                            }
                            catch(err){
                                alert(err);
                            }
                            $ionicLoading.hide();   
                        }).
                        error(function(country,data, status, headers, config) {
                            console.log(data);
                            $ionicLoading.hide();
                        });
                }

                $scope.Manufacturer();

        		$scope.chooseSimModel = function(manufactureName, manuimage){
                   $localstorage.set('manuname', manufactureName);
                   $localstorage.set('manuimage', manuimage);
                   $state.go('modal');
                }
    		}catch(err){
    			console.log(err.message);
    		}
    	});		
    })
    .controller('modalCtrl', function($scope, $ionicPlatform, $rootScope,$ionicLoading, $http,$state,$localstorage) {
        $ionicPlatform.ready(function(){
            try{ 
                $scope.modalList = {};
                
                $scope.Manufacturer = function(){
                    $ionicLoading.show();
                    $scope.manufactureName = $localstorage.get("manuname");
                    var dataset = modalurl+$scope.manufactureName;
                    console.log(dataset);
                    $http({method: 'GET', url: dataset}).
                        success(function(data) {
                            $ionicLoading.hide();
                            if(data.model!=undefined){
                                $scope.modalList = data.model; 
                            }else{
                                alert(data.error);
                                $state.go('chooseBrand');
                            }
                        }).
                        error(function(country,data, status, headers, config) {
                            console.log(data);
                            $ionicLoading.hide();
                        }); 

                }

                $scope.Manufacturer();

                $scope.gotoCountry = function(modalName, modalImage){
                    $localstorage.set('modalName', modalName);
                    $localstorage.set('modalImage', modalImage);
                    $state.go('country');
                }

            }catch(err){
                alert(err.message);
            }
        });     
    });
