angular
    .module('trackingStatus.controllers', [])
    .controller('trackorderCtrl', function($scope, $localstorage, $ionicScrollDelegate, $window, $location, $ionicLoading, $http, $rootScope, $ionicPlatform, $ionicPopup) {
        $ionicPlatform.ready(function(){
            try{ 
                
                $scope.formData = {};
                $scope.formData.imei = "";    
                $scope.loadFirst = true;
                
                $scope.UserID = $localstorage.get('userId');

                $scope.getorderDetail = function(){
                    if($scope.formData.imei=="" || $scope.formData.imei==undefined){
                        $ionicPopup.alert({'title':'Error', 'template':'<p style="text-align:center;">Order Id is required.</p>'});
                        return false;
                    }
                    $ionicLoading.show();
                    var dataset = orderurl+'order_id='+$scope.formData.imei;
                    $http({method:'GET', url:dataset}).
                        success(function(data) {
                            try{
                                $ionicLoading.hide();
                                console.log(data);
                                if(data.error!=undefined){
                                    $ionicLoading.hide();
                                    $ionicPopup.alert({'title':'Alert', 'template':'<p style="text-align:center;">'+data.error+'</p>'});
                                }else{
                                    $scope.Orderdate=data.post_date;
                                    $scope.OrderStatus=data.post_status;
                                    $scope.OrderEmail=data.email;
                                    $scope.OrderImei=data.IMEI;
                                    $scope.loadFirst = false;
                                }
                            }
                            catch(err){
                                alert(err);
                            }
                            $ionicLoading.hide();   
                        }).
                        error(function(data, status, headers, config) {
                            console.log(data);
                            $ionicLoading.hide();
                        });
                }

            }catch(err){
                console.log(err.message);
            }
        });     
    })
    .controller('trackingStatusCtrl', function($scope, $localstorage, $ionicScrollDelegate, $window, $location, $ionicLoading, $http, $rootScope, $ionicPlatform) {
        $ionicPlatform.ready(function(){
    		try{ 
    				
                $scope.UserID = $localstorage.get('userId');
                console.log($scope.UserID);
      
                $scope.getorderDetail = function(){
                    $ionicLoading.show();
                    var dataset = orderurl+'order_id=20565';
                    $http({method:'GET', url:dataset}).
                        success(function(data) {
                            try{
                                $ionicLoading.hide();
                                console.log(data);
                                if(data.result=="false" || data.result==false){
                                    $ionicLoading.hide();
                                    alert(data.msg);
                                }else{
                                   console.log(data.post_date);
                                    $scope.Orderdate=data.post_date;
                                    $scope.OrderStatus=data.post_status;
                                   
                                }
                            }
                            catch(err){
                                alert(err);
                            }
                            $ionicLoading.hide();   
                        }).
                        error(function(data, status, headers, config) {
                            console.log(data);
                            $ionicLoading.hide();
                        });
                }

                $scope.getorderDetail();

    		}catch(err){
    			console.log(err.message);
    		}
    	});		
    });
