angular.module('career.controllers', [])

.controller('careerCtrl', function($scope, $ionicPlatform, $rootScope, $ionicLoading,$http, $localstorage, $state) {
	$ionicPlatform.ready(function(){
		try{ 
            $scope.cntry            = $localstorage.get("countryName");
            $scope.listOfNetwork    = {};
            var manufacturer        = $localstorage.get("manuname");
            var modal               = $localstorage.get("modalName");

            $scope.networklist = function(){
                $ionicLoading.show();
                var dataset = networkurl+"manufacturer="+manufacturer+"&model="+modal+"&country="+$scope.cntry;
                console.log(dataset);
                $http({method: 'GET', url: dataset}).
                    success(function(data) {
                        try{
                            $ionicLoading.hide();
                            if(data.results=="undefined" || data.results==undefined){
                                alert(data.error);
                                $state.go('country');
                            }else{
                                $scope.listOfNetwork = data.results;
                            }
                        }
                        catch(err){
                            alert(err);
                        }
                        $ionicLoading.hide();   
                    }).
                    error(function(country,data, status, headers, config) {
                        console.log(data);
                        $ionicLoading.hide();
                    });

            }
            $scope.networklist();
        			
            $scope.gotoStep5 = function(network){
                $localstorage.set('network', network.network);
                $localstorage.set('networkimage', network.flag);
                $state.go('orignalNetwork');
            }

		}catch(err){
			console.log(err.message);
		}
	});		
});

