angular.module('contactUs.controllers', [])

.controller('contactUsCtrl', function($scope, $ionicPlatform, $rootScope, $ionicPopup, $ionicLoading, $http) {
	$ionicPlatform.ready(function(){
		try{ 
			
			$scope.contactForm = {};
			$scope.contactForm.fname 	= "";
			$scope.contactForm.email 	= "";
			$scope.contactForm.phone 	= "";
			$scope.contactForm.desc 	= "";
			$scope.contactForm.subject 	= "";

			$scope.doContactUs = function(){
				if($scope.contactForm.fname=="" || $scope.contactForm.fname==undefined){
					$ionicPopup.alert({'title':'Alert', 'template':'<p style="text-align:center;">Name is required.</p>'});
                    return false;
				}
				if($scope.contactForm.email==undefined){
					$ionicPopup.alert({'title':'Alert', 'template':'<p style="text-align:center;">Email is invalid.</p>'});
                    return false;
				}else if($scope.contactForm.email==""){
					$ionicPopup.alert({'title':'Alert', 'template':'<p style="text-align:center;">Email is required.</p>'});
                    return false;
				}
				if($scope.contactForm.phone=="" || $scope.contactForm.phone==undefined){
					$ionicPopup.alert({'title':'Alert', 'template':'<p style="text-align:center;">Phone is required.</p>'});
                    return false;
				}
				if($scope.contactForm.desc=="" || $scope.contactForm.desc==undefined){
					$ionicPopup.alert({'title':'Alert', 'template':'<p style="text-align:center;">Description is required.</p>'});
                    return false;
				}
				if($scope.contactForm.subject=="" || $scope.contactForm.subject==undefined){
					$ionicPopup.alert({'title':'Alert', 'template':'<p style="text-align:center;">Subject is required.</p>'});
                    return false;
				}
				
				$ionicLoading.show();

                var dataset = contactusURL+"email="+encodeURIComponent($scope.contactForm.email)+"&subject="+encodeURIComponent($scope.contactForm.subject)+"&name="+encodeURIComponent($scope.contactForm.fname)+"&phone="+encodeURIComponent($scope.contactForm.phone)+"&comment="+encodeURIComponent($scope.contactForm.desc);

                dataset = dataset.replace(/&amp;/g, '&')
                console.log(dataset);

                $http({method:'GET', url:dataset}).
                    success(function(data) {
                    	console.log(data);
                        $ionicLoading.hide();   
                       	if(data.status=="success"){
                       		$ionicPopup.alert({'title':'Success', 'template':'<p style="text-align:center;">'+data.message+'</p>'});
                       		$scope.contactForm = {};
							$scope.contactForm.fname 	= "";
							$scope.contactForm.email 	= "";
							$scope.contactForm.phone 	= "";
							$scope.contactForm.desc 	= "";
							$scope.contactForm.subject 	= "";
                       	}else{
                       		$ionicPopup.alert({'title':'Alert', 'template':data.message});
                       	}
                    }).
                    error(function(data, status, headers, config) {
                        console.log(data);
                        $ionicLoading.hide();
                    });
			}
		
		}catch(err){
			console.log(err.message);
		}
	});		
});
