angular.module('country.controllers', [])

.controller('countryCtrl', function($scope, $ionicPlatform, $rootScope, $ionicLoading,$http, $localstorage, $state) {
	$ionicPlatform.ready(function(){
		try{ 

            var manufacturer = $localstorage.get("manuname");
            var modal = $localstorage.get("modalName");

			$scope.countrylist = function(){
                $ionicLoading.show();
                var dataset = countryurl+"?action=country&manufacturer="+manufacturer+"&model="+modal;
                console.log(dataset);
                $http({method: 'GET', url: dataset}).
                    success(function(data) {
                        try{
                            $ionicLoading.hide();
                            if(data.results==undefined){
                                alert(data.error);
                                $state.go('modal');
                            }else{
                                $scope.countrylist=data.results;
                            }
                        }
                        catch(err){
                            alert(err);
                        }
                        $ionicLoading.hide();   
                    }).
                    error(function(country,data, status, headers, config) {
                        console.log(data);
                        $ionicLoading.hide();
                    });
            }
            
            $scope.countrylist();
        	$scope.gotoCountry = function(country){
        	  	$localstorage.set("countryName", country.country);
                $localstorage.set("countryFlag", country.flag);
        	  	$state.go('career');
        	}
		
		}catch(err){
			console.log(err.message);
		}
	});		
});
