angular.module('faq.controllers', [])

.controller('faqCtrl', function($scope, $ionicPlatform, $state, $ionicHistory, $ionicLoading, $http) {
	$ionicPlatform.ready(function(){
		try{ 
			$scope.faqs = [];
			
			$scope.toggleGroup = function(group) {
				if ($scope.isGroupShown(group)) {
				  $scope.shownGroup = null;
				} else {
				  $scope.shownGroup = group;
				}
			};
			$scope.isGroupShown = function(group) {
				return $scope.shownGroup === group;
			};

			$scope.loadFAQ = function(){
                $ionicLoading.show();
                var dataset = faqurl;
                $http({method:'GET', url:dataset}).
                    success(function(data) {
                       	$scope.faqs = data.FAQ;
                       	console.log($scope.faqs);
                        $ionicLoading.hide();   
                    }).
                    error(function(data, status, headers, config) {
                        console.log(data);
                        $ionicLoading.hide();
                    });
            }
            $scope.loadFAQ();
			
		}catch(err){
			console.log(err.message);
		}
  });
});